Subject: bug#24755: 25.1; Selection continues with no mouse button pressed

From: Stefan Monnier <[email-masked]>
Date: Wed, 26 Oct 2016 16:13:37 -0400

> Thanks.  It fixes the original bug, but the resulting behavior is not
> identical to Emacs 24.5, because once you release mouse-1, the
> selected text loses its highlight.  In Emacs 24.5, the highlight would
> stay.

That's because C-mouse-1 and C-drag-mouse-1 aren't bound to anything.
It's different, indeed, but the previous behavior was somewhat
accidental, I think (e.g. I'm pretty sure it didn't work that way in all
cases either, since the old code would sometimes push back the events to
be looked up in the global-map, tho not always).

We could try to reproduce it, but I think the necessary code would be
somewhat ugly/hackish.

        Stefan